<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Courses\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CourseSession extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="CourseSession"; 
		$this->Alias = "CourseSession"; 

		$this->DateStart = new Property("DateStart", "DateStart", DATEBOX,  false, $this->Alias); 
		$this->HourStart = new Property("HourStart", "HourStart", TEXTAREA,  false, $this->Alias); 
		$this->HourEnd = new Property("HourEnd", "HourEnd", TEXTAREA,  false, $this->Alias); 
		$this->Price = new Property("Price", "Price", NUMERICBOX,  false, $this->Alias); 
		$this->NumberPlaces = new Property("NumberPlaces", "NumberPlaces", NUMERICBOX,  false, $this->Alias); 
		$this->CourId = new Property("CourId", "CourId", NUMERICBOX,  false, $this->Alias); 
		$this->Hebdomadaire = new Property("Hebdomadaire", "Hebdomadaire", NUMERICBOX,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>